GNU bug report logs - #36855
guix system switch-generation doesn't

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Robert Vollmert <rob@HIDDEN>; dated Tue, 30 Jul 2019 10:01:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36855 <at> debbugs.gnu.org:


Received: (at 36855) by debbugs.gnu.org; 7 Aug 2019 20:00:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 16:00:34 2019
Received: from localhost ([127.0.0.1]:39469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvS6q-0002fY-BT
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 16:00:34 -0400
Received: from ol.sdf.org ([205.166.94.20]:50740 helo=mx.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hvS6l-0002ZO-Ie
 for 36855 <at> debbugs.gnu.org; Wed, 07 Aug 2019 16:00:29 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x77K0Oe9013573
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Wed, 7 Aug 2019 20:00:25 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Christopher Lemmer Webber <cwebber@HIDDEN>
Subject: Re: bug#36855: guix system switch-generation doesn't
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
 <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
 <87zhkkojfv.fsf@HIDDEN>
Date: Wed, 07 Aug 2019 15:57:10 -0400
In-Reply-To: <87zhkkojfv.fsf@HIDDEN> (Christopher Lemmer Webber's
 message of "Wed, 07 Aug 2019 15:37:56 -0400")
Message-ID: <877e7on3zd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36855
Cc: guix-devel@HIDDEN, 36855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Chris,

Christopher Lemmer Webber <cwebber@HIDDEN> writes:

> Could you look at bug #36878 and commit 1db6f137d... as of latest
> master, is this fixed?

Unfortunately, I don't think that 1db6f137d fixes this. The issue is a
bit more structural as 'switch-to-system-generation' doesn't call out to
'upgrade-shepherd-services'. I'm not sure if this was an intentional
decision or not (perhaps we can ask Ludo when he returns).

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1LLRYACgkQ9Qb9Fp2P
2Vph4A//cUuLKGk+70b9MEa5VKXtTqIcSN4duoJaZw/1/3PQxzE1k5vwBFTP9SWc
yPH+Ma1YOaiPYihPtkGZZpuEpsJAaXi+5bMBTeDVv41SameHN6qp85ftUp9utcVm
vRzMDfGL7PKbcxlMQZFSTMUrak3fXxAMFg09oVemG2jUOlT0jt6CJSi/gDceV8aD
ekGz9W/kw5z4tYgwHEooyUwg36tZiJ9bmPZMqWykMJatXCv5Y3xfniAC2YwHhCjd
ooahYY1YQd6RqRXzpo6LaJYsue6lq1fGdvsGQQFqZElqZHhEshpHgfcD+y7Z63PP
9MDmj+CAwsVT4NclYIFajEJGVXO/jWCqTz7dgu/r+QBq6OcrE4GCKqEyd3OpUSPM
Ah06+42PjVk6P5jwFgvjLOd5uoqlpdJEIWwjnYk7lElKEoNIVW6ZAsZ9KSLEKhZ8
S7+0dyrWtVymTBv4hCR4ozMaA8pNV+7Yy8h8DWzihKNIepLdbCfg+da5bAmQjeZ1
wViarkiJuCJSuU/YPl/gwWCjpCf9FlBP/NuZrmzMJcz6HbQlCJQGGkLtxXrbB7iS
fB3DrtSMShJMaGfDBTpJk4UYTuJHdwwWlavJYTXRChuuoAOp9pbtLz/1SX/j1MGS
/lZ8VAyVaK/Dj2sryI7xOJBebAYzf+QVJ7/XRWK/X2sYppxt0OM=
=qQfH
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Aug 2019 19:38:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:38:02 2019
Received: from localhost ([127.0.0.1]:39446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRl4-0001Yb-2N
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:38:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:49798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1hvRl2-0001YL-Ue
 for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:38:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51834)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <cwebber@HIDDEN>) id 1hvRl1-00081R-Qc
 for bug-guix@HIDDEN; Wed, 07 Aug 2019 15:38:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_20,NUMERIC_HTTP_ADDR,
 URIBL_BLOCKED,WEIRD_PORT autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cwebber@HIDDEN>) id 1hvRkz-0005e8-LK
 for bug-guix@HIDDEN; Wed, 07 Aug 2019 15:37:58 -0400
Received: from dustycloud.org ([50.116.34.160]:44872)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <cwebber@HIDDEN>)
 id 1hvRkz-0005bt-GP; Wed, 07 Aug 2019 15:37:57 -0400
Received: from twig (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id D58792661E;
 Wed,  7 Aug 2019 15:37:56 -0400 (EDT)
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
 <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36855: guix system switch-generation doesn't
In-reply-to: <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
Date: Wed, 07 Aug 2019 15:37:56 -0400
Message-ID: <87zhkkojfv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 50.116.34.160
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: guix-devel@HIDDEN, 36855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Could you look at bug #36878 and commit 1db6f137d... as of latest
master, is this fixed?

Robert Vollmert writes:

> Could we get some input on this bug?
>
> Maybe I=E2=80=99m misunderstanding something, but it seems that a core gu=
ix
> feature (atomic rollbacks) doesn=E2=80=99t work=E2=80=A6
>
>> On 30. Jul 2019, at 12:00, Robert Vollmert <rob@HIDDEN> wrote:
>>=20
>> What I see:
>>=20
>> 1. edit ~/pzprnode/pzprnode
>>=20
>> rob@garp ~/pzprnode$ git diff
>> diff --git a/pzprnode b/pzprnode
>> index 612e6a8..d8ef0ea 100755
>> --- a/pzprnode
>> +++ b/pzprnode
>> @@ -190,5 +190,6 @@ const server =3D http.createServer((req, res) =3D> {
>> });
>>=20
>> server.listen(port, hostname, () =3D> {
>> +       console.log("updated version");
>>       console.log(`Server running at http://${hostname}:${port}/`);
>> });
>>=20
>> 2. sudo guix system reconfigure -L ~/garp-config ~/garp-config/config.scm
>> 3. sudo herd restart pzprnode
>> 4. less /var/log/messages
>>=20
>> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been stopped=
.=20
>> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been started=
.=20
>> Jul 30 11:46:58 localhost pzprnode[4954]: updated version=20
>> Jul 30 11:46:58 localhost pzprnode[4954]: Server running at http://127.0=
.0.1:3456/=20
>>=20
>> 5. sudo guix system list-generations
>>=20
>> Generation 151	Jul 30 2019 10:37:06
>> file name: /var/guix/profiles/system-151-link
>> canonical file name: /gnu/store/jis33accsfpa068aps0a9mrycmjzfm4m-system
>> label: GNU with Linux-Libre 5.2.1
>> bootloader: grub
>> root device: label: "guix-root"
>> kernel: /gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bz=
Image
>> Generation 152	Jul 30 2019 11:43:13	(current)
>> file name: /var/guix/profiles/system-152-link
>> canonical file name: /gnu/store/3z3wmaj0399kihqc372y91nzcjxc1myl-system
>> label: GNU with Linux-Libre 5.2.1
>> bootloader: grub
>> root device: label: "guix-root"
>> kernel: /gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bz=
Image
>>=20
>> 6. sudo guix system switch-generation 151
>>=20
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> The following derivation will be built:
>>  /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv
>> building /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv...
>> switched from generation 152 to 151
>>=20
>> 7. sudo herd restart pzprnode
>> 8. less /var/log/messages
>>=20
>> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been stopped=
.=20
>> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been started=
.=20
>> Jul 30 11:48:03 localhost pzprnode[4994]: updated version=20
>> Jul 30 11:48:03 localhost pzprnode[4994]: Server running at http://127.0=
.0.1:3456/=20
>>=20
>> The line with =E2=80=9Cupdated version=E2=80=9D should not be there.
>>=20
>> Presumably, this is due to switch-generations not calling upgrade-shephe=
rd-services.
>>=20





Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at 36855 <at> debbugs.gnu.org:


Received: (at 36855) by debbugs.gnu.org; 7 Aug 2019 19:38:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 07 15:38:00 2019
Received: from localhost ([127.0.0.1]:39443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hvRl1-0001YD-NE
	for submit <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:38:00 -0400
Received: from dustycloud.org ([50.116.34.160]:56368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cwebber@HIDDEN>) id 1hvRkz-0001Y4-Ak
 for 36855 <at> debbugs.gnu.org; Wed, 07 Aug 2019 15:37:57 -0400
Received: from twig (localhost [127.0.0.1])
 by dustycloud.org (Postfix) with ESMTPS id D58792661E;
 Wed,  7 Aug 2019 15:37:56 -0400 (EDT)
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
 <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
User-agent: mu4e 1.2.0; emacs 26.2
From: Christopher Lemmer Webber <cwebber@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#36855: guix system switch-generation doesn't
In-reply-to: <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
Date: Wed, 07 Aug 2019 15:37:56 -0400
Message-ID: <87zhkkojfv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36855
Cc: guix-devel@HIDDEN, 36855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Could you look at bug #36878 and commit 1db6f137d... as of latest
master, is this fixed?

Robert Vollmert writes:

> Could we get some input on this bug?
>
> Maybe I=E2=80=99m misunderstanding something, but it seems that a core gu=
ix
> feature (atomic rollbacks) doesn=E2=80=99t work=E2=80=A6
>
>> On 30. Jul 2019, at 12:00, Robert Vollmert <rob@HIDDEN> wrote:
>>=20
>> What I see:
>>=20
>> 1. edit ~/pzprnode/pzprnode
>>=20
>> rob@garp ~/pzprnode$ git diff
>> diff --git a/pzprnode b/pzprnode
>> index 612e6a8..d8ef0ea 100755
>> --- a/pzprnode
>> +++ b/pzprnode
>> @@ -190,5 +190,6 @@ const server =3D http.createServer((req, res) =3D> {
>> });
>>=20
>> server.listen(port, hostname, () =3D> {
>> +       console.log("updated version");
>>       console.log(`Server running at http://${hostname}:${port}/`);
>> });
>>=20
>> 2. sudo guix system reconfigure -L ~/garp-config ~/garp-config/config.scm
>> 3. sudo herd restart pzprnode
>> 4. less /var/log/messages
>>=20
>> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been stopped=
.=20
>> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been started=
.=20
>> Jul 30 11:46:58 localhost pzprnode[4954]: updated version=20
>> Jul 30 11:46:58 localhost pzprnode[4954]: Server running at http://127.0=
.0.1:3456/=20
>>=20
>> 5. sudo guix system list-generations
>>=20
>> Generation 151	Jul 30 2019 10:37:06
>> file name: /var/guix/profiles/system-151-link
>> canonical file name: /gnu/store/jis33accsfpa068aps0a9mrycmjzfm4m-system
>> label: GNU with Linux-Libre 5.2.1
>> bootloader: grub
>> root device: label: "guix-root"
>> kernel: /gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bz=
Image
>> Generation 152	Jul 30 2019 11:43:13	(current)
>> file name: /var/guix/profiles/system-152-link
>> canonical file name: /gnu/store/3z3wmaj0399kihqc372y91nzcjxc1myl-system
>> label: GNU with Linux-Libre 5.2.1
>> bootloader: grub
>> root device: label: "guix-root"
>> kernel: /gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bz=
Image
>>=20
>> 6. sudo guix system switch-generation 151
>>=20
>> substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
>> The following derivation will be built:
>>  /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv
>> building /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv...
>> switched from generation 152 to 151
>>=20
>> 7. sudo herd restart pzprnode
>> 8. less /var/log/messages
>>=20
>> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been stopped=
.=20
>> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been started=
.=20
>> Jul 30 11:48:03 localhost pzprnode[4994]: updated version=20
>> Jul 30 11:48:03 localhost pzprnode[4994]: Server running at http://127.0=
.0.1:3456/=20
>>=20
>> The line with =E2=80=9Cupdated version=E2=80=9D should not be there.
>>=20
>> Presumably, this is due to switch-generations not calling upgrade-shephe=
rd-services.
>>=20





Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at 36855 <at> debbugs.gnu.org:


Received: (at 36855) by debbugs.gnu.org; 6 Aug 2019 21:25:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 17:25:27 2019
Received: from localhost ([127.0.0.1]:37916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv6xT-00079F-6A
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:25:27 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:41196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hv6xR-000792-Kt
 for 36855 <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:25:26 -0400
Received: from smtp1.mailbox.org (smtp1.mailbox.org [80.241.60.240])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id 0DE2A51AC5;
 Tue,  6 Aug 2019 23:25:19 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp1.mailbox.org ([80.241.60.240])
 by spamfilter04.heinlein-hosting.de (spamfilter04.heinlein-hosting.de
 [80.241.56.122]) (amavisd-new, port 10030)
 with ESMTP id KFAnkoBzzeyQ; Tue,  6 Aug 2019 23:25:11 +0200 (CEST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: guix system switch-generation doesn't
From: Robert Vollmert <rob@HIDDEN>
In-Reply-To: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
Date: Tue, 6 Aug 2019 23:25:10 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <A3C3B87A-1B74-4983-A8EA-7281E3103567@HIDDEN>
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
To: 36855 <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36855
Cc: guix-devel@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Could we get some input on this bug?

Maybe I=E2=80=99m misunderstanding something, but it seems that a core =
guix
feature (atomic rollbacks) doesn=E2=80=99t work=E2=80=A6

> On 30. Jul 2019, at 12:00, Robert Vollmert <rob@HIDDEN> wrote:
>=20
> What I see:
>=20
> 1. edit ~/pzprnode/pzprnode
>=20
> rob@garp ~/pzprnode$ git diff
> diff --git a/pzprnode b/pzprnode
> index 612e6a8..d8ef0ea 100755
> --- a/pzprnode
> +++ b/pzprnode
> @@ -190,5 +190,6 @@ const server =3D http.createServer((req, res) =3D> =
{
> });
>=20
> server.listen(port, hostname, () =3D> {
> +       console.log("updated version");
>       console.log(`Server running at http://${hostname}:${port}/`);
> });
>=20
> 2. sudo guix system reconfigure -L ~/garp-config =
~/garp-config/config.scm
> 3. sudo herd restart pzprnode
> 4. less /var/log/messages
>=20
> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
started.=20
> Jul 30 11:46:58 localhost pzprnode[4954]: updated version=20
> Jul 30 11:46:58 localhost pzprnode[4954]: Server running at =
http://127.0.0.1:3456/=20
>=20
> 5. sudo guix system list-generations
>=20
> Generation 151	Jul 30 2019 10:37:06
> file name: /var/guix/profiles/system-151-link
> canonical file name: =
/gnu/store/jis33accsfpa068aps0a9mrycmjzfm4m-system
> label: GNU with Linux-Libre 5.2.1
> bootloader: grub
> root device: label: "guix-root"
> kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage
> Generation 152	Jul 30 2019 11:43:13	(current)
> file name: /var/guix/profiles/system-152-link
> canonical file name: =
/gnu/store/3z3wmaj0399kihqc372y91nzcjxc1myl-system
> label: GNU with Linux-Libre 5.2.1
> bootloader: grub
> root device: label: "guix-root"
> kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage
>=20
> 6. sudo guix system switch-generation 151
>=20
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... =
100.0%
> The following derivation will be built:
>  /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv
> building /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv...
> switched from generation 152 to 151
>=20
> 7. sudo herd restart pzprnode
> 8. less /var/log/messages
>=20
> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
started.=20
> Jul 30 11:48:03 localhost pzprnode[4994]: updated version=20
> Jul 30 11:48:03 localhost pzprnode[4994]: Server running at =
http://127.0.0.1:3456/=20
>=20
> The line with =E2=80=9Cupdated version=E2=80=9D should not be there.
>=20
> Presumably, this is due to switch-generations not calling =
upgrade-shepherd-services.
>=20





Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Aug 2019 21:22:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 06 17:22:02 2019
Received: from localhost ([127.0.0.1]:37904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hv6u9-00072r-So
	for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:22:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:42060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hv6u7-00072c-LR
 for submit <at> debbugs.gnu.org; Tue, 06 Aug 2019 17:22:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42354)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rob@HIDDEN>) id 1hv6u6-0007Hi-Kl
 for bug-guix@HIDDEN; Tue, 06 Aug 2019 17:21:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,NUMERIC_HTTP_ADDR,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED,WEIRD_PORT autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rob@HIDDEN>) id 1hv6u4-0007hQ-6i
 for bug-guix@HIDDEN; Tue, 06 Aug 2019 17:21:57 -0400
Received: from mx1.mailbox.org ([80.241.60.212]:18020)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rob@HIDDEN>) id 1hv6u3-0007gd-BJ
 for bug-guix@HIDDEN; Tue, 06 Aug 2019 17:21:55 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx1.mailbox.org (Postfix) with ESMTPS id E0A005215F;
 Tue,  6 Aug 2019 23:21:51 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by hefe.heinlein-support.de (hefe.heinlein-support.de [91.198.250.172])
 (amavisd-new, port 10030)
 with ESMTP id mxd9QczHARwY; Tue,  6 Aug 2019 23:21:41 +0200 (CEST)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: Re: guix system switch-generation doesn't
From: Robert Vollmert <rob@HIDDEN>
In-Reply-To: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
Date: Tue, 6 Aug 2019 23:21:40 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <3F889811-B4FA-415F-B4C0-7994DD00A968@HIDDEN>
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 80.241.60.212
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: GitHub Developer Support <developer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Could we get some input on this bug?

Maybe I=E2=80=99m misunderstanding something, but it seems that a core =
guix
feature (atomic rollbacks) doesn=E2=80=99t work=E2=80=A6

> On 30. Jul 2019, at 12:00, Robert Vollmert <rob@HIDDEN> wrote:
>=20
> What I see:
>=20
> 1. edit ~/pzprnode/pzprnode
>=20
> rob@garp ~/pzprnode$ git diff
> diff --git a/pzprnode b/pzprnode
> index 612e6a8..d8ef0ea 100755
> --- a/pzprnode
> +++ b/pzprnode
> @@ -190,5 +190,6 @@ const server =3D http.createServer((req, res) =3D> =
{
> });
>=20
> server.listen(port, hostname, () =3D> {
> +       console.log("updated version");
>        console.log(`Server running at http://${hostname}:${port}/`);
> });
>=20
> 2. sudo guix system reconfigure -L ~/garp-config =
~/garp-config/config.scm
> 3. sudo herd restart pzprnode
> 4. less /var/log/messages
>=20
> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
> Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
started.=20
> Jul 30 11:46:58 localhost pzprnode[4954]: updated version=20
> Jul 30 11:46:58 localhost pzprnode[4954]: Server running at =
http://127.0.0.1:3456/=20
>=20
> 5. sudo guix system list-generations
>=20
> Generation 151	Jul 30 2019 10:37:06
>  file name: /var/guix/profiles/system-151-link
>  canonical file name: =
/gnu/store/jis33accsfpa068aps0a9mrycmjzfm4m-system
>  label: GNU with Linux-Libre 5.2.1
>  bootloader: grub
>  root device: label: "guix-root"
>  kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage
> Generation 152	Jul 30 2019 11:43:13	(current)
>  file name: /var/guix/profiles/system-152-link
>  canonical file name: =
/gnu/store/3z3wmaj0399kihqc372y91nzcjxc1myl-system
>  label: GNU with Linux-Libre 5.2.1
>  bootloader: grub
>  root device: label: "guix-root"
>  kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage
>=20
> 6. sudo guix system switch-generation 151
>=20
> substitute: updating substitutes from 'https://ci.guix.gnu.org'... =
100.0%
> The following derivation will be built:
>   /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv
> building /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv...
> switched from generation 152 to 151
>=20
> 7. sudo herd restart pzprnode
> 8. less /var/log/messages
>=20
> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
> Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
started.=20
> Jul 30 11:48:03 localhost pzprnode[4994]: updated version=20
> Jul 30 11:48:03 localhost pzprnode[4994]: Server running at =
http://127.0.0.1:3456/=20
>=20
> The line with =E2=80=9Cupdated version=E2=80=9D should not be there.
>=20
> Presumably, this is due to switch-generations not calling =
upgrade-shepherd-services.
>=20





Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at 36855 <at> debbugs.gnu.org:


Received: (at 36855) by debbugs.gnu.org; 30 Jul 2019 16:19:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 12:19:10 2019
Received: from localhost ([127.0.0.1]:51077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsUqD-0003v9-U8
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 12:19:10 -0400
Received: from mx.sdf.org ([205.166.94.20]:59214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zerodaysfordays@HIDDEN>)
 id 1hsUqB-0003uz-5z
 for 36855 <at> debbugs.gnu.org; Tue, 30 Jul 2019 12:19:08 -0400
Received: from Epsilon (pool-173-76-53-40.bstnma.fios.verizon.net
 [173.76.53.40]) (authenticated (0 bits))
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPSA id x6UGJ0pL010212
 (using TLSv1.2 with cipher AES256-GCM-SHA384 (256 bits) verified NO);
 Tue, 30 Jul 2019 16:19:05 GMT
From: zerodaysfordays@HIDDEN (Jakob L. Kreuze)
To: Robert Vollmert <rob@HIDDEN>
Subject: Re: bug#36855: guix system switch-generation doesn't
References: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
Date: Tue, 30 Jul 2019 12:16:05 -0400
In-Reply-To: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN> (Robert
 Vollmert's message of "Tue, 30 Jul 2019 12:00:23 +0200")
Message-ID: <87zhkvv6pm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36855
Cc: 36855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Robert,

Robert Vollmert <rob@HIDDEN> writes:

> The line with =E2=80=9Cupdated version=E2=80=9D should not be there.
>
> Presumably, this is due to switch-generations not calling
> upgrade-shepherd-services.

I can confirm that 'switch-to-system-generation', the procedure that
carries out 'guix system switch-generation', neither invokes
'upgrade-shepherd-services' nor runs that system's activation script.

I'd be interested to hear from others who have worked on 'guix system'
as to whether or not it would be a good idea to perform the effectful
parts of a system activation for 'switch-generation'. I haven't yet
pondered upon the implications.

Regards,
Jakob

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEa1VJLOiXAjQ2BGSm9Qb9Fp2P2VoFAl1AbUUACgkQ9Qb9Fp2P
2VoqLQ//e5V6M06WzlfrTAjUQ7aFELkjPKyuhTGQpPlNNacYB5YIFBehWIutpL62
S0pMMEcdCLbiY60YWV61U8FOuUJCTn2mKkSCFNFdG6oqJIsVptLpU+cGLIRsBy3x
rjPdBtAzE/gyW/PixoN/OorBNpFuvRNtn2LZG5MyqqIZpgK/S7iaSTF4E79Lc85J
+yUdzz2xRioRO1xPPYDItk5wQzI/PYnoUh8xbm74Ie+WhF0ytq85E/VaptrO38Lb
ERJW0WlXcfCHSZqq3b3LZ8+3N/YYjoxbJt4hIpwBNh0xlDDCLhGc7PssJXsUaUoj
8f4BX1m7Tt6IvpotvTb/xaMm9lRJzTw7WOkDRNkWvAFEJTZrSNYZrwS9djaq+woK
rxXG8LGS2ah7lCeNqBKQtihkmOSOGr6yrtYOgSRaOy2m5D0MI+G0h9VR+aguVX10
TEcCOn9xYmV5sIVqx6Ns6+86XJLcujSdQycbE+uKVgn4JMMpzHFRf0aultphjjpJ
O6Jm/FjCf9u3SZJsYwPRwvlAul0/seLEWiN/rErO/0fl9AYhysFiHL5hNmFR1ySW
tcJuttQjmHbhS7VPFnd4B8bzasIXooKxWJpEqO5yoCoD+L6OZW2spWnMZuD6+jQn
lgyfIXXoyfZsHMkUfUgKwGoErK6tKHVabEwOyuDGqhBTRD+WZs8=
=NiIU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2019 10:00:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 06:00:47 2019
Received: from localhost ([127.0.0.1]:49571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsOw2-0000hG-PY
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 06:00:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:38588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rob@HIDDEN>) id 1hsOvz-0000h7-3h
 for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 06:00:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38186)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <rob@HIDDEN>) id 1hsOvx-0003u7-TW
 for bug-guix@HIDDEN; Tue, 30 Jul 2019 06:00:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.0 required=5.0 tests=BAYES_50,NUMERIC_HTTP_ADDR,
 URIBL_BLOCKED,WEIRD_PORT autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rob@HIDDEN>) id 1hsOvw-0007Hr-NZ
 for bug-guix@HIDDEN; Tue, 30 Jul 2019 06:00:41 -0400
Received: from mx2a.mailbox.org ([2001:67c:2050:104:0:2:25:2]:38846
 helo=mx2.mailbox.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rob@HIDDEN>) id 1hsOvw-0007EK-HN
 for bug-guix@HIDDEN; Tue, 30 Jul 2019 06:00:40 -0400
Received: from smtp2.mailbox.org (smtp2.mailbox.org
 [IPv6:2001:67c:2050:105:465:1:2:0])
 (using TLSv1.2 with cipher ECDHE-RSA-CHACHA20-POLY1305 (256/256 bits))
 (No client certificate requested)
 by mx2.mailbox.org (Postfix) with ESMTPS id 35B7BA1650
 for <bug-guix@HIDDEN>; Tue, 30 Jul 2019 12:00:37 +0200 (CEST)
X-Virus-Scanned: amavisd-new at heinlein-support.de
Received: from smtp2.mailbox.org ([80.241.60.241])
 by spamfilter02.heinlein-hosting.de (spamfilter02.heinlein-hosting.de
 [80.241.56.116]) (amavisd-new, port 10030)
 with ESMTP id RfLFBAsRl_3b for <bug-guix@HIDDEN>;
 Tue, 30 Jul 2019 12:00:25 +0200 (CEST)
From: Robert Vollmert <rob@HIDDEN>
Content-Type: text/plain;
	charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.11\))
Subject: guix system switch-generation doesn't
Message-Id: <7BE8190F-A8E9-454E-8F37-FBFE42FBDE10@HIDDEN>
Date: Tue, 30 Jul 2019 12:00:23 +0200
To: bug-guix@HIDDEN
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:67c:2050:104:0:2:25:2
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

What I see:

1. edit ~/pzprnode/pzprnode

rob@garp ~/pzprnode$ git diff
diff --git a/pzprnode b/pzprnode
index 612e6a8..d8ef0ea 100755
--- a/pzprnode
+++ b/pzprnode
@@ -190,5 +190,6 @@ const server =3D http.createServer((req, res) =3D> {
 });
=20
 server.listen(port, hostname, () =3D> {
+       console.log("updated version");
        console.log(`Server running at http://${hostname}:${port}/`);
 });

2. sudo guix system reconfigure -L ~/garp-config =
~/garp-config/config.scm
3. sudo herd restart pzprnode
4. less /var/log/messages

Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
Jul 30 11:46:57 localhost shepherd[1]: Service pzprnode has been =
started.=20
Jul 30 11:46:58 localhost pzprnode[4954]: updated version=20
Jul 30 11:46:58 localhost pzprnode[4954]: Server running at =
http://127.0.0.1:3456/=20

5. sudo guix system list-generations

Generation 151	Jul 30 2019 10:37:06
  file name: /var/guix/profiles/system-151-link
  canonical file name: =
/gnu/store/jis33accsfpa068aps0a9mrycmjzfm4m-system
  label: GNU with Linux-Libre 5.2.1
  bootloader: grub
  root device: label: "guix-root"
  kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage
Generation 152	Jul 30 2019 11:43:13	(current)
  file name: /var/guix/profiles/system-152-link
  canonical file name: =
/gnu/store/3z3wmaj0399kihqc372y91nzcjxc1myl-system
  label: GNU with Linux-Libre 5.2.1
  bootloader: grub
  root device: label: "guix-root"
  kernel: =
/gnu/store/fp6wsvn10h1is0wkz8l2sbzjmjbzi7vr-linux-libre-5.2.1/bzImage

6. sudo guix system switch-generation 151

substitute: updating substitutes from 'https://ci.guix.gnu.org'... =
100.0%
The following derivation will be built:
   /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv
building /gnu/store/qvxbl3gm6406dbbkm8jigmpc8zi42lfw-grub.cfg.drv...
switched from generation 152 to 151

7. sudo herd restart pzprnode
8. less /var/log/messages

Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
stopped.=20
Jul 30 11:48:02 localhost shepherd[1]: Service pzprnode has been =
started.=20
Jul 30 11:48:03 localhost pzprnode[4994]: updated version=20
Jul 30 11:48:03 localhost pzprnode[4994]: Server running at =
http://127.0.0.1:3456/=20

The line with =E2=80=9Cupdated version=E2=80=9D should not be there.

Presumably, this is due to switch-generations not calling =
upgrade-shepherd-services.





Acknowledgement sent to Robert Vollmert <rob@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36855; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 7 Aug 2019 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.